import { PDFPageProxy } from "pdfjs-dist";
import { Metadata } from "pdfjs-dist/types/src/display/metadata";
/**
 * Renders a pdf.js page to text
 * @param page The pdf.js page to render
 * @returns The text content of the page
 */
export declare const render: (page: PDFPageProxy) => Promise<string>;
export interface ParsePdfContent {
    info: object;
    metadata: Metadata;
    pages: string[];
}
/**
 * Parses a PDF
 * @param buffer The buffer data from of the pdf
 * @returns The parsed data from the pdf
 */
export declare const parsepdf: (buffer: ArrayBuffer) => Promise<ParsePdfContent>;
